Public Class clsAction
    Dim _ActionName As String
    Dim _ActionType As ActionItemType
    Public Enum ActionItemType
        UrlAction = 1
        ButtonAction = 2
    End Enum
    ''' <summary>
    ''' 动作名称
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property ActionName() As String
        Get
            Return _ActionName
        End Get
        Set(ByVal value As String)
            _ActionName = value
        End Set
    End Property

    ''' <summary>
    ''' 动作类型 1. 地址传参  2.页面提交
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property ActionType() As ActionItemType
        Get
            Return _ActionType
        End Get
        Set(ByVal value As ActionItemType)
            _ActionType = value
        End Set
    End Property

End Class
